﻿@model DA.Website.Models.LogInModel
@{
    ViewData["Title"] = "LogIn";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Log In</h1>
<!--<div>
    <form action="/Home/Login" method="post">
        <div class="grid">
            <div class="row">
                <div class="col-1">
                    @Html.LabelFor(m => m.Username)
                </div>
                <div class="col-2">
                    @Html.TextBoxFor(m => m.Username)
                </div>
                <div class="col-3">
                    @Html.ValidationMessageFor(m => m.Username)
                </div>
            </div>
            <div class="row">
                <div class="col-1">
                    @Html.LabelFor(m => m.Password)
                </div>
                <div class="col-2">
                    @Html.PasswordFor(m => m.Password)
                </div>
                <div class="col-3">
                    @Html.ValidationMessageFor(m => m.Password)
                </div>
            </div>
            <div class="row">
                <div class="col-3">
                    @Html.ValidationMessage("AuthError")
                </div>
            </div>
            <div class="row">
                <div class="col-3">
                    <input class="right" type="submit" value="Login" />
                </div>
            </div>
        </div>
    </form>
</div>

-->
<div class="row">
    <div class="col-md-4">
        <form asp-action="Login">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Username" class="control-label"></label>
                <input asp-for="Username" class="form-control" />
                <span asp-validation-for="Username" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Password" class="control-label"></label>
                <input asp-for="Password" class="form-control" type="password"/>
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
            <div class="form-group">
                @Html.ValidationMessage("AuthError")
            </div>
            <div class="form-group">
                <input type="submit" value="Log in" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>